> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create questionnaire export

> Creates an asynchronous export job for a questionnaire. The export processes in the background
and typically completes within a few minutes depending on questionnaire size.

Subscribe to the `v1.questionnaire.export-completed` and `v1.questionnaire.export-failed` webhook events to be notified when an export completes or fails.
Use the returned `id` with the "getQuestionnaireExport" endpoint to retrieve the download URL once the export completes.



## OpenAPI

````yaml /reference/manage-vanta.json post /customer-trust/questionnaires/exports
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /customer-trust/questionnaires/exports:
    post:
      tags:
        - Customer Trust
      summary: Create questionnaire export
      description: >-
        Creates an asynchronous export job for a questionnaire. The export
        processes in the background

        and typically completes within a few minutes depending on questionnaire
        size.


        Subscribe to the `v1.questionnaire.export-completed` and
        `v1.questionnaire.export-failed` webhook events to be notified when an
        export completes or fails.

        Use the returned `id` with the "getQuestionnaireExport" endpoint to
        retrieve the download URL once the export completes.
      operationId: CreateQuestionnaireExport
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerTrustCreateQuestionnaireExportInput'
      responses:
        '202':
          description: Export created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CustomerTrustCreateQuestionnaireExportResponse
              examples:
                Example 1:
                  value:
                    id: 507f1f77bcf86cd799439011
                    status: pending
                    format: original
                    requestedAt: '2025-01-08T12:00:00.000Z'
      security:
        - bearerAuth: []
components:
  schemas:
    CustomerTrustCreateQuestionnaireExportInput:
      description: Request body for creating a questionnaire export.
      properties:
        questionnaireId:
          type: string
          description: Unique identifier for the questionnaire to trigger an export for.
          example: 65a5d6e2f1a2b3c4d5e6f7a8
        format:
          type: string
          enum:
            - original
            - csv
          description: >-
            The output format for the exported questionnaire.

            - `"original"`: Exports in the questionnaire's native format (XLSX
            for spreadsheets, DOCX for documents).

            - `"csv"`: Exports as a CSV file, suitable for data analysis or
            import into other systems.
          example: original
      required:
        - questionnaireId
        - format
      type: object
      additionalProperties: false
    CustomerTrustCreateQuestionnaireExportResponse:
      description: >-
        Response returned when a questionnaire export is created.

        Use the `id` to poll the GET endpoint for export status and download
        URL.
      properties:
        id:
          type: string
          description: >-
            Unique identifier for the export job. Use this ID to check export
            status.
          example: 507f1f77bcf86cd799439011
        status:
          type: string
          enum:
            - pending
            - completed
            - failed
          description: >-
            Processing status of the export. Newly created exports always start
            as `"pending"`.
          example: pending
        format:
          type: string
          enum:
            - original
            - csv
          description: The requested output format for the export.
          example: original
        requestedAt:
          type: string
          description: ISO 8601 timestamp indicating when the export was requested.
          example: '2025-01-08T12:00:00.000Z'
      required:
        - id
        - status
        - format
        - requestedAt
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````